@rem --- Copyright University of Sussex 1999. All rights reserved. ----------
@rem File:			C.windows/extern/lib/mklibpop.bat
@rem Purpose:		Make Poplog external libraries
@rem Author:		Robert Duncan, May 29 1996 (see revisions)
@echo off

rem mklibpop [-d] [win95|winnt]
rem Must be run from $usepop/pop/extern/lib

setlocal

set args=-a

if not "%1" == "-d" set args=%args% nodebug=1
if "%1" == "-d" shift

if "%1" == "win95" set args=%args% TARGETOS=WIN95 POPUNICODE=0
if "%1" == "winnt" set args=%args% TARGETOS=WINNT POPUNICODE=1

cd ..\src
nmake -a %args% install
cd ..\lib

endlocal

@rem --- Revision History ---------------------------------------------------
@rem --- Robert Duncan, Oct 21 1999 - added debug and target options
@rem --- Robert Duncan, Feb 28 1997 - now does full, optimised compile
